Page MenuHomePhabricator

Set $wgUseMediaWikiUIEverywhere = true
Closed, DeclinedPublic

Description

This tracks what needs to happen for $wgUseMediaWikiUIEverywhere to be true in core.

A little while after it is set true, the preference can be removed and it made the normal behavior (removing code forks).

Details

Reference
bz70424

Related Objects

StatusAssignedTask
OpenNone
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedPrtksxna
ResolvedNone
Resolved Mattflaschen-WMF
DeclinedNone
Declined Mattflaschen-WMF
ResolvedNone
ResolvedPrtksxna
Resolvedphuedx
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
DeclinedPrtksxna
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
Declined Mattflaschen-WMF
ResolvedPrtksxna
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedPrtksxna
ResolvedNone
ResolvedPrtksxna
ResolvedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedEBernhardson
InvalidPrtksxna
DeclinedNone
ResolvedPrtksxna
DuplicateNone
DuplicateNone
ResolvedFlorian
ResolvedNone
ResolvedFlorian
DuplicateNone
ResolvedNone
DuplicateNone
ResolvedFlorian
ResolvedPrtksxna
DeclinedNone
DuplicateNone
ResolvedNone
Resolved Mattflaschen-WMF
DeclinedNone
ResolvedNone
DuplicateNone
Resolved Mattflaschen-WMF
DeclinedFlorian
OpenNone
Resolvedmatmarex
Resolvedmatmarex
ResolvedCatrope
ResolvedCatrope
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedMooeypoo
ResolvedSBisson
ResolvedCatrope
InvalidNone
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedMooeypoo
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedCatrope
ResolvedJdforrester-WMF
ResolvedSBisson
DeclinedNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedSBisson
ResolvedCatrope
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedSBisson
ResolvedJdforrester-WMF
DuplicateNone
ResolvedMooeypoo
ResolvedNone
Resolvedmatmarex

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport set Reference to bz70424.
bzimport added a subscriber: Unknown Object (MLST).
fbstj renamed this task from Set $wgUseMediaWikiUIEverywhere = true (tracking) to Set $wgUseMediaWikiUIEverywhere = true.Dec 8 2014, 10:09 PM
fbstj updated the task description. (Show Details)
fbstj added a project: Tracking-Neverending.
fbstj set Security to None.

Are we ever going to do this, or is it superseded by T74715: Convert some MW core special pages to OOUI ?

$wgUseMediaWikiUIEverywhere still needs to be removed somehow. Whether there needs to be an intermediate step (= true) is another question. The global was only ever intended to be needed briefly.

Maybe there could be a push at Lyon.

+1 @Mattflaschen. I think a big blocker is T72913: Remove $wgUseMediaWikiUIEverywhere dependency for button and text input styling (and the blocking taskse).

Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.